1.1
1.1
get /v1/triggers/{trigger_id}
Description
show a specific cloud-function trigger
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.1 | 20260430 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | trigger_id required | Trigger ID Example : 1 | integer | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | Trigger |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/triggers/{trigger_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.1"
Example HTTP response
Response 200
{
"alias": "$LATEST",
"schedule": "* * * * 0",
"timezone": "Asia/Tokyo",
"trigger_id": 1,
"trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
"trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
"trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
"trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
"trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
"trigger_type": "apigateway"
}